summaryrefslogtreecommitdiff
path: root/dev-python/python-jose/python-jose-3.2.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-30 12:33:55 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-30 12:33:55 +0000
commitbe44d471ee4e6e053a5e230c704f60d4364d4538 (patch)
tree10398584c52157af97326bd8704712c0b1652295 /dev-python/python-jose/python-jose-3.2.0.ebuild
parent00680d3ef425b4259bb25066b71fc555f049b201 (diff)
downloadbaldeagleos-repo-be44d471ee4e6e053a5e230c704f60d4364d4538.tar.gz
baldeagleos-repo-be44d471ee4e6e053a5e230c704f60d4364d4538.tar.xz
baldeagleos-repo-be44d471ee4e6e053a5e230c704f60d4364d4538.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-jose/python-jose-3.2.0.ebuild')
-rw-r--r--dev-python/python-jose/python-jose-3.2.0.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/python-jose/python-jose-3.2.0.ebuild b/dev-python/python-jose/python-jose-3.2.0.ebuild
new file mode 100644
index 000000000000..c0549d698480
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation in Python"
+HOMEPAGE="https://github.com/mpdavis/python-jose https://pypi.org/project/python-jose/"
+# pypi tarball lacks unit tests
+SRC_URI="https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/ecdsa[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/pytest-runner/d' -i setup.py || die
+ sed -e '/addopts/d' -i setup.cfg || die
+ sed -e 's:test_key_too_short:_&:' \
+ -i tests/algorithms/test_EC.py || die
+ distutils-r1_python_prepare_all
+}